Bug 32693 - Call tree is not visible when deep
Summary: Call tree is not visible when deep
Status: VERIFIED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: General (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Rodrigo Moya
URL:
Depends on:
Blocks:
 
Reported: 2015-08-02 04:28 UTC by grisha
Modified: 2015-10-16 10:58 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description grisha 2015-08-02 04:28:37 UTC
When exploring the call tree, function names quickly become not visible while traversing the tree and explore sub-functions. Please add horizontal scroll!

Also, Visual Studio profiler have great function "Expand hot path" which immediately shows the problematic path (in time profiler). It would be nice to have something like this in Xamarin Profiler.
Comment 1 Rodrigo Moya 2015-08-08 07:05:29 UTC
Yes, that's why we have the 'drill-down' feature, so you can double click on a row on the call tree and it will show that node in the call tree as the root node in the UI view.

About expanding to the hot path, indeed, it's in the plan.
Comment 2 Rodrigo Moya 2015-10-07 11:20:53 UTC
Fixed
Comment 3 Udham Singh 2015-10-16 10:58:26 UTC
I have checked this issue with latest profiler builds and able to drill-down call tree data deeply. Hence I am closing this issue as of now.

Please feel free to reopen this if you are still getting this issue.

Thanks!